summary refs log tree commit diff
diff options
context:
space:
mode:
-rwxr-xr-xpkgs/tools/archivers/unzip/builder.sh8
-rw-r--r--pkgs/tools/archivers/unzip/default.nix10
2 files changed, 18 insertions, 0 deletions
diff --git a/pkgs/tools/archivers/unzip/builder.sh b/pkgs/tools/archivers/unzip/builder.sh
new file mode 100755
index 00000000000..90613620c7b
--- /dev/null
+++ b/pkgs/tools/archivers/unzip/builder.sh
@@ -0,0 +1,8 @@
+#! /bin/sh
+
+. $stdenv/setup || exit 1
+
+tar xvfz $src || exit 1
+cd unzip-* || exit 1
+make -f unix/Makefile generic || exit 1
+make -f unix/Makefile prefix=$out install || exit 1
diff --git a/pkgs/tools/archivers/unzip/default.nix b/pkgs/tools/archivers/unzip/default.nix
new file mode 100644
index 00000000000..b9904ea8646
--- /dev/null
+++ b/pkgs/tools/archivers/unzip/default.nix
@@ -0,0 +1,10 @@
+{stdenv, fetchurl}: derivation {
+  name = "unzip-5.50";
+  system = stdenv.system;
+  builder = ./builder.sh;
+  src = fetchurl {
+    url = ftp://ftp.info-zip.org/pub/infozip/src/unzip550.tar.gz;
+    md5 = "798592d62e37f92571184236947122ed";
+  };
+  stdenv = stdenv;
+}